<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="influenciador">
      <h2 data-cy="influenciadorDetailsHeading"><span jhiTranslate="nextLevelApp.influenciador.detail.title">Influenciador</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ influenciador.id }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.influenciador.nome">Nome</span></dt>
        <dd>
          <span>{{ influenciador.nome }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.influenciador.email">Email</span></dt>
        <dd>
          <span>{{ influenciador.email }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.influenciador.regiao">Regiao</span></dt>
        <dd>
          <span>{{ influenciador.regiao }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.influenciador.bio">Bio</span></dt>
        <dd>
          <span>{{ influenciador.bio }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.influenciador.redes">Redes</span></dt>
        <dd>
          <span>{{ influenciador.redes }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.influenciador.user">User</span></dt>
        <dd>
          <span>{{ influenciador.user?.id }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <!-- <button type="button" [routerLink]="['/influenciador', influenciador.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button> -->
    </div>
  </div>
</div>

<style type="text/css">
  .justify-content-center {
    width: auto;
    background: linear-gradient(0deg, rgba(59, 59, 59, 0.9), transparent);
    margin-top: 40px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding-top: 4px;
    padding-bottom: 4px;
    border-radius: 10px;
    padding: 4%;
  }
</style>
